Bug 474267 - java/OpenJDK sometimes does not work on konqueror 4.1.3
java/OpenJDK sometimes does not work on konqueror 4.1.3
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 20:36 EST by zuargo
Modified: 2009-07-16 20:35 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-10 10:17:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 176822 None None None Never
Gentoo 246352 None None None Never

  None (edit)
Description zuargo 2008-12-02 20:36:41 EST
Description of problem:

Java runtime environament 6 update 11 does not work on konqueror 4.1.3

How reproducible:

1.download Linux RPM from http://www.java.com/en/download/linux_manual.jsp
2.install
3.go to konqueror > preferences > konqueror configuration > java and javascript

on path to java executable type: /usr/java/jre1.6.0_10/bin/java

enter any web page whit applet java it does not work

Additional info:

terminal message when I try to load a java applet on konqueror:

konqueror(23456) KConfigGroup::readXdgListEntry: List entry mime in "/usr/share/kde4/apps/kjava/pluginsinfo" is not compliant with XDG standard (missing trailing semicolon).

konqueror(23558) KJavaAppletViewer::KJavaAppletViewer: Can't communicate with kded_kpasswdserver!                                           
QWidget::repaint: Recursive repaint detected                          
Locking assertion failure.  Backtrace:                                
#0 /usr/lib/libxcb-xlib.so.0 [0xd45767]                               
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0xd4590e]           
#2 /usr/lib/libX11.so.6 [0x153159]                                    
#3 /usr/lib/libX11.so.6(XGetWindowProperty+0x26) [0x130c36]           
#4 /usr/lib/libQtGui.so.4 [0x30240f6]                                 
#5 /usr/lib/libX11.so.6(XCheckIfEvent+0x94) [0x125da4]                
#6 /usr/lib/libQtGui.so.4(_ZN18QX11EmbedContainer11embedClientEm+0x274) [0x3024754]                                                         
#7 /usr/lib/kde4/kjavaappletviewer.so [0x2774dd3]                     
#8 /usr/lib/kde4/kjavaappletviewer.so [0x2774f11]                     
#9 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x200) [0x90ade0]                                                       
#10 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52) [0x90bb62]                                                    
#11 /usr/lib/libkdeui.so.5(_ZN13KWindowSystem11windowAddedEm+0x43) [0x7d4ddc3]                                                              
#12 /usr/lib/libkdeui.so.5 [0x7d50469]                                
#13 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo6updateEPKm+0x11c7) [0x7d5f6b7]                                                                  
#14 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo5eventEP7_XEventPmi+0x28f) [0x7d5fa6f]                                                           
#15 /usr/lib/libkdeui.so.5 [0x7d5087d]                                
#16 /usr/lib/libkdeui.so.5(_ZN12KApplication14x11EventFilterEP7_XEvent+0x79) [0x7c27a39]                                                    
#17 /usr/lib/libQtGui.so.4 [0x2ff17ce]                                
#18 /usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x115) [0x3002245]                                                  
#19 /usr/lib/libQtGui.so.4 [0x302bd8a]                                
Locking assertion failure.  Backtrace:                                
#0 /usr/lib/libxcb-xlib.so.0 [0xd45767]                               
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xd45831]         
#2 /usr/lib/libX11.so.6 [0x153061]                                    
#3 /usr/lib/libX11.so.6(XCheckIfEvent+0xd6) [0x125de6]                
#4 /usr/lib/libQtGui.so.4(_ZN18QX11EmbedContainer11embedClientEm+0x274) [0x3024754]                                                         
#5 /usr/lib/kde4/kjavaappletviewer.so [0x2774dd3]                     
#6 /usr/lib/kde4/kjavaappletviewer.so [0x2774f11]                     
#7 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x200) [0x90ade0]                                                       
#8 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52) [0x90bb62]                                                     
#9 /usr/lib/libkdeui.so.5(_ZN13KWindowSystem11windowAddedEm+0x43) [0x7d4ddc3]                                                               
#10 /usr/lib/libkdeui.so.5 [0x7d50469]                                
#11 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo6updateEPKm+0x11c7) [0x7d5f6b7]                                                                  
#12 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo5eventEP7_XEventPmi+0x28f) [0x7d5fa6f]                                                           
#13 /usr/lib/libkdeui.so.5 [0x7d5087d]                                
#14 /usr/lib/libkdeui.so.5(_ZN12KApplication14x11EventFilterEP7_XEvent+0x79) [0x7c27a39]                                                    
#15 /usr/lib/libQtGui.so.4 [0x2ff17ce]                                
#16 /usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x115) [0x3002245]                                                  
#17 /usr/lib/libQtGui.so.4 [0x302bd8a]                                
#18 /lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0xc49208]   
#19 /lib/libglib-2.0.so.0 [0xc4c8b3]
Comment 1 Johan Kok 2008-12-03 05:46:27 EST
Thank you for your bug report. You reported this issue for Fedora Core 4. The Fedora Project no longer maintains this version of Fedora.

As Fedora Core 4 was released in 2005, I presume that you are not using that version and that this selection was some kind of error. Please change the version for this report to the version you are using, or post a comment confirming the correct version.

For the unlikely case you are using FC4: Please upgrade to the latest version and verify that the problem still exists.
Comment 2 Kevin Kofler 2008-12-03 05:57:02 EST
Must be actually Fedora 9 or 10.

Please use the Fedora version in the "Version" field, not the package version!
Comment 3 Rex Dieter 2008-12-03 11:35:52 EST
Have you tried using java-1.6.0-openjdk-plugin?
(Admittedly, i haven't tried any java-plugin stuff recently myself).
Comment 4 zuargo 2008-12-03 11:48:11 EST
well sorry I use fedora 10...

I fix this problem:

1.-uninstall the Linux rpm downloaded from http://www.java.com/en/download/linux_manual.jsp

rpm -e jre-<version>-fcs

for more information:

http://www.java.com/en/download/help/5000011600.xml

2.-Install openjdk from repositories

yum -y java-1.6.0-openjdk java-1.6.0-openjdk-plugin

go to konqueror > preferences > konqueror configuration > java and javascript

on path to java executable type: java

restart konqueror and applet java now works :)

and I insist I use fedora 10...
Comment 5 Kevin Kofler 2008-12-03 11:51:51 EST
Also works for me with Java set to: /usr/lib/jvm/java-1.6.0-openjdk/bin/java
Comment 6 Rex Dieter 2008-12-03 12:01:24 EST
Glad to be of service, and that it works now for you.

Closing -> worksforme (for lack of something better, I guess).
Comment 7 zuargo 2008-12-03 14:59:34 EST
I hate to say this but... again java doesn't work on konqueror...

sometimes work, sometimes not

here the terminal message when I try to load a java applet on konqueror:

konqueror(6584) KJavaAppletViewer::KJavaAppletViewer: Can't communicate with kded_kpasswdserver!   
QWidget::repaint: Recursive repaint detected                                                       
Locking assertion failure.  Backtrace:                                                             
#0 /usr/lib/libxcb-xlib.so.0 [0xd45767]                                                            
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_lock+0x2e) [0xd4590e]                                        
#2 /usr/lib/libX11.so.6 [0x153159]                                                                 
#3 /usr/lib/libX11.so.6(XGetWindowProperty+0x26) [0x130c36]                                        
#4 /usr/lib/libQtGui.so.4 [0x6ae20f6]                                                              
#5 /usr/lib/libX11.so.6(XCheckIfEvent+0x94) [0x125da4]                                             
#6 /usr/lib/libQtGui.so.4(_ZN18QX11EmbedContainer11embedClientEm+0x274) [0x6ae2754]                
#7 /usr/lib/kde4/kjavaappletviewer.so [0x1070dd3]                                                  
#8 /usr/lib/kde4/kjavaappletviewer.so [0x1070f11]                                                  
#9 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x200) [0x6082df0]             
#10 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52) [0x6083b72]          
#11 /usr/lib/libkdeui.so.5(_ZN13KWindowSystem11windowAddedEm+0x43) [0x665ddc3]                     
#12 /usr/lib/libkdeui.so.5 [0x6660469]                                                             
#13 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo6updateEPKm+0x11b0) [0x666f6a0]                         
#14 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo5eventEP7_XEventPmi+0x28f) [0x666fa6f]                  
#15 /usr/lib/libkdeui.so.5 [0x666087d]                                                             
#16 /usr/lib/libkdeui.so.5(_ZN12KApplication14x11EventFilterEP7_XEvent+0x79) [0x6537a39]           
#17 /usr/lib/libQtGui.so.4 [0x6aaf7ce]                                                             
#18 /usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x115) [0x6ac0245]         
#19 /usr/lib/libQtGui.so.4 [0x6ae9d8a]                                                             
Locking assertion failure.  Backtrace:                                                             
#0 /usr/lib/libxcb-xlib.so.0 [0xd45767]                                                            
#1 /usr/lib/libxcb-xlib.so.0(xcb_xlib_unlock+0x31) [0xd45831]                                      
#2 /usr/lib/libX11.so.6 [0x153061]                                                                 
#3 /usr/lib/libX11.so.6(XCheckIfEvent+0xd6) [0x125de6]                                             
#4 /usr/lib/libQtGui.so.4(_ZN18QX11EmbedContainer11embedClientEm+0x274) [0x6ae2754]                
#5 /usr/lib/kde4/kjavaappletviewer.so [0x1070dd3]                                                  
#6 /usr/lib/kde4/kjavaappletviewer.so [0x1070f11]                                                  
#7 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectiiPPv+0x200) [0x6082df0]             
#8 /usr/lib/libQtCore.so.4(_ZN11QMetaObject8activateEP7QObjectPKS_iPPv+0x52) [0x6083b72]           
#9 /usr/lib/libkdeui.so.5(_ZN13KWindowSystem11windowAddedEm+0x43) [0x665ddc3]                      
#10 /usr/lib/libkdeui.so.5 [0x6660469]                                                             
#11 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo6updateEPKm+0x11b0) [0x666f6a0]                         
#12 /usr/lib/libkdeui.so.5(_ZN11NETRootInfo5eventEP7_XEventPmi+0x28f) [0x666fa6f]                  
#13 /usr/lib/libkdeui.so.5 [0x666087d]                                                             
#14 /usr/lib/libkdeui.so.5(_ZN12KApplication14x11EventFilterEP7_XEvent+0x79) [0x6537a39]           
#15 /usr/lib/libQtGui.so.4 [0x6aaf7ce]                                                             
#16 /usr/lib/libQtGui.so.4(_ZN12QApplication15x11ProcessEventEP7_XEvent+0x115) [0x6ac0245]         
#17 /usr/lib/libQtGui.so.4 [0x6ae9d8a]                                                             
#18 /lib/libglib-2.0.so.0(g_main_context_dispatch+0x1e8) [0xc49238]                                
#19 /lib/libglib-2.0.so.0 [0xc4c8e3]                              

a very similar error to when I used java Sun's proprietary version
Comment 8 Stan Trzmiel 2008-12-27 07:31:42 EST
I've found java in Konqueror 4 a mixed bag.

Some applets works regardless of "Can't communicate with
kded_kpasswdserver!" message.

Some like this city map

works partially when security manager is disabled, tho attempt to open dialog window (search function, change scale) freezes the konqueror and java console.
When security manager is enabled applet won't work and java console shows errors:
java.lang.NullPointerException
	at java.util.Hashtable.put(Unknown Source)
	at org.kde.kjas.server.KJASProtocolHandler.processCommand(KJASProtocolHandler.java:312)
	at org.kde.kjas.server.KJASProtocolHandler.commandLoop(KJASProtocolHandler.java:89)
	at org.kde.kjas.server.Main.main(Main.java:175)

Some applets like java detection page at www.java.com doesn't work at all, no matter what java settings are.

Results are the same with Sun JRE 1.6 update 10, 11 and OpenJDK 1.6. 'tho OpenJDK seems to be less likely to give "Can't communicate with
kded_kpasswdserver!" message.
Comment 9 Steven M. Parrish 2009-01-10 10:17:09 EST
Since this has been reported upstream and does not appear to be a packaging issue going to close as UPSTREAM.
Comment 10 Luis A. Florit 2009-07-15 17:53:38 EDT
(In reply to comment #8)
> I've found java in Konqueror 4 a mixed bag.
> 
> Some applets works regardless of "Can't communicate with
> kded_kpasswdserver!" message.
> 
> Some like this city map
> 
> works partially when security manager is disabled, tho attempt to open dialog
> window (search function, change scale) freezes the konqueror and java console.
> When security manager is enabled applet won't work and java console shows
> errors:
> java.lang.NullPointerException
>  at java.util.Hashtable.put(Unknown Source)
>  at
> org.kde.kjas.server.KJASProtocolHandler.processCommand(KJASProtocolHandler.java:312)
>  at
> org.kde.kjas.server.KJASProtocolHandler.commandLoop(KJASProtocolHandler.java:89)
>  at org.kde.kjas.server.Main.main(Main.java:175)
> 
> Some applets like java detection page at www.java.com doesn't work at all, no
> matter what java settings are.
> 
> Results are the same with Sun JRE 1.6 update 10, 11 and OpenJDK 1.6. 'tho
> OpenJDK seems to be less likely to give "Can't communicate with
> kded_kpasswdserver!" message.  

Java does not work, and has never worked properly on Konqueror. As you said, in the best scenario, it works "sometimes". I use Fedora 11, java-1.6.0-openjdk, KDE 4.2.4.
The applet here https://www2.bancobrasil.com.br/aapf/login.jsp, below "Teclado Virtual BB" stays at "loading applet..." forever.

In fact... Flash 9 and 10 does not work either. For example here the movie does not play, even when you press both "play" triangles:

http://cachabacha.multiply.com/video/item/103/Charlie_Chaplin_-_The_Lions_Cage_-_1928

In fact.......... images sometimes load and sometimes do not load in deviantart.com.

Everything works smoothly in Firefox, Galeon, etc, of course.

It would be so nice to have a functional Konqueror, because it is very light. But a light browser so buggy (as konqueror has always been) is useless.

Thanks,
L.
Comment 11 Kevin Kofler 2009-07-16 15:06:17 EDT
> In fact... Flash 9 and 10 does not work either.

Problems with Flash have nothing whatsoever to do with problems with Java. (Java in Konqueror is NOT implemented through a Mozilla plugin.) Please don't mix separate issues in this bug report. (And it might not be of much use filing a bug for the Flash problems because we can't fix the proprietary code anyway, as we do not provide that plugin nor have access to Adobe's source code.)
Comment 12 Rex Dieter 2009-07-16 15:24:36 EDT
fwiw, flash (at least youtube) works here (I followed http://fedoraproject.org/wiki/Flash )
Comment 13 Luis A. Florit 2009-07-16 20:24:22 EDT
(In reply to comment #12)
> fwiw, flash (at least youtube) works here (I followed
> http://fedoraproject.org/wiki/Flash )  

Yes, youtube works for me also. The link I provide does not. As well as many others...

L.
Comment 14 Luis A. Florit 2009-07-16 20:30:10 EDT
(In reply to comment #11)
> > In fact... Flash 9 and 10 does not work either.
> 
> Problems with Flash have nothing whatsoever to do with problems with Java.
> (Java in Konqueror is NOT implemented through a Mozilla plugin.) Please don't
> mix separate issues in this bug report.

Sorry, you're right. However, my intention was not to fill a bug report, but to call the attention to the fact that Konqueror is VERY buggy, in several ways, it always was, and that the bugs persist through many versions. Perhaps there should be more people working on the project...

> (And it might not be of much use filing
> a bug for the Flash problems because we can't fix the proprietary code anyway,
> as we do not provide that plugin nor have access to Adobe's source code.)  

There is no problem with the flash plugin source code, at least it works perfectly in firefox. There is a problem in Konqueror.

Thanks,
L.
Comment 15 Kevin Kofler 2009-07-16 20:35:03 EDT
Bugzilla is for bug reports, everything else is off topic and blatant abuse of the service.

Note You need to log in before you can comment on or make changes to this bug.